﻿using Borepin.Service;
using Prism.Mvvm;
using Prism.Navigation;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace Borepin.PageModel
{
    public class HostSelectPageModel : BindableBase
    {
        private INavigationService _NavigationService;

        public HostSelectPageModel(INavigationService navigationService)
        {
            _NavigationService = navigationService;

            UseHostCommand = new Command(UseHostCommandExecuted);
            DetectHostCommand = new Command(DetectHostCommandExecuted);
        }

        private string _Host;
        public string Host
        {
            get => _Host;
            set => SetProperty(ref _Host, value);
        }

        private ICommand _UseHostCommand;
        public ICommand UseHostCommand
        {
            get => _UseHostCommand;
            set => SetProperty(ref _UseHostCommand, value);
        }

        private async void UseHostCommandExecuted()
        {
            INavigationResult result = await _NavigationService.NavigateAsync($"LoginChoosePage");
            if (!result.Success)
            {
                System.Diagnostics.Debugger.Break();
            }
        }

        private ICommand _DetectHostCommand;
        public ICommand DetectHostCommand
        {
            get => _DetectHostCommand;
            set => SetProperty(ref _DetectHostCommand, value);
        }

        private void DetectHostCommandExecuted()
        {
            // Use Demo Host
            Host = "demo.fab-access.org";
        }
    }
}
